# $Revision: 1.8 $, $Date: 2006/05/28 13:24:00 $
%define		realname	lua50
Summary:	A simple lightweight powerful embeddable programming language - Mingw32 cross version
Summary(pl):	Prosty, lekki ale potny, osadzalny jzyk programowania - wersja skrona dla Mingw32
Name:		crossmingw32-%{realname}
Version:	5.0.2
Release:	5
License:	MIT
Group:		Development/Languages
Source0:	http://www.lua.org/ftp/lua-%{version}.tar.gz
# Source0-md5:	dea74646b7e5c621fef7174df83c34b1
URL:		http://www.lua.org/
Requires:	crossmingw32-runtime
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-w32api
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target		i386-mingw32
%define		target_platform	i386-pc-mingw32
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_prefix}/lib/gcc-lib/%{target}
%define		gcclib		%{_prefix}/lib/gcc-lib/%{target}/%{version}

%define		__cc		%{target}-gcc
%define		__cxx		%{target}-g++

%ifarch alpha sparc sparc64 sparcv9
%define		optflags	-O2
%endif

%description
Lua is a powerful, light-weight programming language designed for
extending applications. It is also frequently used as a
general-purpose, stand-alone language. It combines simple procedural
syntax (similar to Pascal) with powerful data description constructs
based on associative arrays and extensible semantics. Lua is
dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.

%description -l pl
Lua to jzyk programowania o duych moliwociach ale lekki,
przeznaczony do rozszerzania aplikacji. Jest te czsto uywany jako
samodzielny jzyk oglnego przeznaczenia. czy prost proceduraln
skadni (podobn do Pascala) z potnymi konstrukcjami opisu danych
bazujcymi na tablicach asocjacyjnych i rozszerzalnej skadni. Lua ma
dynamiczny system typw, interpretowany z bytecodu i automatyczne
zarzdzanie pamici z odmiecaczem, co czyni go idealnym do
konfiguracji, skryptw i szybkich prototypw.

%description -l pt_BR
Lua  uma linguagem de programao poderosa e leve, projetada para
estender aplicaes. Lua tambm  freqentemente usada como uma
linguagem de propsito geral. Lua combina programao procedural com
poderosas construes para descrio de dados, baseadas em tabelas
associativas e semntica extensvel. Lua  tipada dinamicamente,
interpretada a partir de bytecodes, e tem gerenciamento automtico de
memria com coleta de lixo. Essas caractersticas fazem de Lua uma
linguagem ideal para configurao, automao (scripting) e
prototipagem rpida.

%package dll
Summary:	%{realname} - DLL library for Windows
Summary(pl):	%{realname} - biblioteka DLL dla Windows
Group:		Applications/Emulators

%description dll
%{realname} - DLL library for Windows.

%description dll -l pl
%{realname} - biblioteka DLL dla Windows.

%prep
%setup -q -n lua-%{version}

%build
CC=%{target}-gcc ; export CC
CXX=%{target}-g++ ; export CXX
LD=%{target}-ld ; export LD
AR=%{target}-ar ; export AR
AS=%{target}-as ; export AS
CROSS_COMPILE=1 ; export CROSS_COMPILE
CPPFLAGS="-I%{arch}/include" ; export CPPFLAGS
RANLIB=%{target}-ranlib ; export RANLIB
LDSHARED="%{target}-gcc -shared" ; export LDSHARED
TARGET="%{target}" ; export TARGET

%{__make} \
	MYCFLAGS="%{rpmcflags}" \
	CC="%{target}-gcc" \
	AR="%{target}-ar rcu" \
	RANLIB="%{target}-ranlib"

cd src
%{__cc} --shared *.o -Wl,--enable-auto-image-base -o ../lib/lua50.dll -Wl,--out-implib,../lib/liblua50.dll.a
cd lib
%{__cc} --shared *.o -Wl,--enable-auto-image-base -o ../../lib/lualib50.dll -Wl,--out-implib,../../lib/liblualib50.dll.a -llua -L../../lib
cd ../..

cd lib
mv liblua{,50}.a
mv liblualib{,50}.a
%if 0%{!?debug:1}
%{target}-strip *.dll
%{target}-strip -g -R.comment -R.note *.a
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{arch}/{include/lua50,lib}
install -d $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

install include/*.h $RPM_BUILD_ROOT%{arch}/include/lua50
install lib/*.a $RPM_BUILD_ROOT%{arch}/lib
install lib/*.dll $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{arch}/include/*
%{arch}/lib/*

%files dll
%defattr(644,root,root,755)
%{_datadir}/wine/windows/system/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-lua50.spec,v $
Revision 1.8  2006/05/28 13:24:00  wolf
- rel 5

Revision 1.7  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.6  2004/09/16 15:37:35  wolf
- rel 3 to rebuild with gcc 3.4.2

Revision 1.5  2004/04/10 16:10:50  wolf
- one more

Revision 1.4  2004/04/10 16:05:49  wolf
- no obsoletes

Revision 1.3  2004/04/10 16:03:57  wolf
- rel 2
- synced with lua{4,5}0.spec

Revision 1.2  2004/03/18 19:22:52  wolf
- md5 (wtf?)

Revision 1.1  2004/03/18 19:10:28  wolf
- added crossmingw32-lua50
